namespace adas_core.Domain.Models.Observations;

public class StringObservation : Observation
{
    public string Value { get; set; } = string.Empty;

    public static StringObservation? From(List<PatientObservation> obs)
    {
        if (obs.Count > 0)
            return new StringObservation
            {
                Value = (string)obs[0].Value
            };
        return null;
    }
}